Search By Source And Type
Search for form definition by source type, source ID and form type.
Request
URI
GET
https://vra-interop-222-139.lvn.broadcom.net/form-service/api/forms/fetchBySourceAndType
COPY
Query Parameters
string
sourceType
Required
The form source type. It can be 'com.vmw.vro.workflow' or 'resource.action'.
string
sourceId
Required
The form source ID
string
formType
Required
The form type. It can be 'requestForm'.
string
formFormat
Optional
Constraints:
default: JSON
Form definition format
Possible values are :
YAML,
JSON,
Responses
200
'Success' with the form.
Returns
FormDefinition
of type(s)
application/json
{
"tenant": "string",
"id": "string",
"name": "string",
"form": "string",
"styles": "string",
"sourceType": "string",
"sourceId": "string",
"type": "string",
"status": "string",
"createdDate": "string",
"modifiedDate": "string",
"formFormat": "string",
"providerRef": "string"
}
string
tenant
Optional
tenant
string As uuid
As uuid
id
Optional
id
string
name
Required
name
string
form
Optional
form
string
styles
Optional
styles
string
sourceType
Optional
sourceType
string
sourceId
Optional
sourceId
string
type
Optional
type
string
status
Required
status
Possible values are :
off,
on,
invalid,
generated,
string As date-time
As date-time
createdDate
Optional
createdDate
string As date-time
As date-time
modifiedDate
Optional
modifiedDate
string
formFormat
Optional
formFormat
Possible values are :
YAML,
JSON,
string
providerRef
Optional
providerRef
403
'Forbidden' when the user has no viewer access rights.
Operation doesn't return any data structure
404
'Not found' if no form matches search parameters.
Operation doesn't return any data structure
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/form-service/api/forms/fetchBySourceAndType?sourceType=value&sourceId=value&formType=v